BoolePolyRing.h File Reference
`#include <polybori/pbori_defs.h>`
`#include "ring/CCuddCore.h"`
`#include "except/PBoRiError.h"`
`#include "common/CCheckedIdx.h"`
`#include <boost/intrusive_ptr.hpp>`
`#include "common/CWeakPtr.h"`
`#include <list>`

Go to the source code of this file.

## Classes

class | polybori::BoolePolyRing
| This class reinterprets decicion diagram managers as Boolean polynomial rings, adds an ordering and variable names. More...

## Namespaces

| polybori

## Constant Groups

| polybori

## Functions

BoolePolyRing::ostream_type & | polybori::operator<< (BoolePolyRing::ostream_type &os, const BoolePolyRing &ring)
| Stream output operator. More...

## Detailed Description

Author
  Alexander Dreyer

Date
  2006-03-06

This file the class BoolePolyRing, where carries the definition of a polynomial ring over Booleans.

Copyright:
  (c) 2006 by The PolyBoRi Team